BT Mail browser compatibility

Some older versions of browsers may not be compatible with BT Mail. If we detect that the browser you're using is not compatible then we'll display a message offering you a link to upgrade. Upgrading is easy: simply click on the link and follow the instructions.

This help is about our new BT Mail service. If you use BT Yahoo Mail, you can find help here >

Some older versions of browsers may not be compatible with BT Mail.

If we detect that the browser you're using is not compatible, we'll display a message offering you the chance to upgrade. Upgrading is easy: simply click on the link and follow the instructions.

However if you're using a recent version of Internet Explorer 11 and receive this message it's possible that your browser's compatibility mode is switched on.

Compatibility mode helps newer browsers display older websites correctly by acting like older browsers.

From your Toolbar, select Tools and then Compatibility mode settings.

If compatibility mode is switched on, turn it off, then close your browser and try again.

If compatibility mode is turned off and you've still got problems go to Tools and then select Developer tools.

Make sure that both the browser and document mode are not set to IE7 or compatibility mode. Close your browser and try again.

Thanks for your feedback

Please select one feedback option

Submit

Need more help?